
Application: gvSIG desktop - gvSIG bugs #3492
Al cambiar la selección de una tabla no se refrescan las barras de herramientas
05/20/2015 04:16 PM - Francisco Díaz Carsí

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category:
Target version: 2.2.0-2312
Severity: Minor Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2310 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Concretamente limpiar selección, zomm a la selección,... deberían ir cambiando a habilitado o deshabilitado dependiendo de si hay
elementos seleccionados o no.

Associated revisions
Revision 493 - 05/26/2015 12:57 PM - Francisco Díaz Carsí

fixes #3492 Quitado el dispose de la featureSelection que se hacía por error en todas las herramientas de la nueva edición vectorial y que provocaba
un mal funcionamiento de la selección del documento tabla cuando estaba abierto a la vez que la vista.

Revision 499 - 05/27/2015 06:12 PM - Francisco Díaz Carsí

fixes #3492 Arreglados los dispose y bind de las featureSelection en los proveedores

History
#1 - 05/25/2015 10:16 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#2 - 05/26/2015 12:59 PM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from New to Fixed

Applied in changeset gvsig-vector-editing:gvsig-vectorediting|r493.

#3 - 05/26/2015 01:02 PM - Francisco Díaz Carsí
- % Done changed from 100 to 0

El error estaba provocado por las herramientas de la nueva edición vectorial que hacían por error un dispose de la featureSelection que provocaba
errores en el funcionamiento de la selección en el documento tabla cuando estaba abierta a la vez que la vista.
Se ha eliminado ese dispose, y ya funciona correctamente la selección en la tabla.

04/29/2024 1/2



#4 - 05/27/2015 02:31 PM - Francisco Díaz Carsí
- Status changed from Fixed to In progress

Reabro porque el arreglo no es correcto, se debe hacer un dispose, pero antes, al coger la referencia al objeto se debe hacer un bind.

#5 - 05/27/2015 06:13 PM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

Applied in changeset gvsig-vector-editing:gvsig-vectorediting|r499.

#6 - 05/27/2015 06:13 PM - Francisco Díaz Carsí
- % Done changed from 100 to 0
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2312

#7 - 05/28/2015 06:34 PM - Álvaro Anguix
- Status changed from Fixed to Closed
